Subject: bug#36921: texinfo: @setfilename is not mandatory

From: Gavin Smith <[email-masked]>
Date: Fri, 16 Aug 2019 11:09:05 +0100

On Sun, Aug 04, 2019 at 01:22:34PM +0000, Дилян Палаузов wrote:
> Hello,
> 
> I have a .texi file and in Makefile.am:
> 
> info_TEXINFOS = doc/z.texi
> 
> Running autoreconf -visf emits:
> 
> configure.ac:13: installing './compile'
> configure.ac:7: installing './missing'
> Makefile.am: installing './depcomp'
> Makefile.am: error: './doc/z.texi' missing @setfilename
> autoreconf: automake failed with exit status: 1
> 
> I have texinfo (or rather makeinfo) 6.6 and automake 1.16.1 (most likely installed from most recent git).
> 
> The texinfo manual says in node @setfilename:
> 
> “   When a '@setfilename' line is present, the Texinfo processors ignore
> everything written before the '@setfilename' line.  This is why the very
> first line of the file (the '\input' line) does not show up in the
> output.
> 
> . . .
>    '@setfilename' used to be required by the Texinfo processors, and
> some other programs may still expect it to be present; for example,
> Automake (*note (automake)Texinfo::).”
> 
> Please adjust automake to come forward, when @setfilename is missing, implying the default value.
> 

I posted a patch to fix this issue: 
https://lists.gnu.org/archive/html/bug-automake/2019-01/msg00002.html

Hopefully somebody will have time to apply it.  I am not sure how 
actively Automake is being developed at the moment.